Bug 460863 - kernel: devmem: add range_is_allowed() check to mmap_mem() [rhel-4.5.z]
kernel: devmem: add range_is_allowed() check to mmap_mem() [rhel-4.5.z]
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.5.z
All Linux
high Severity high
: rc
: ---
Assigned To: Vitaly Mayatskikh
Martin Jenner
:
Depends On: 460857
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-02 00:57 EDT by Eugene Teo (Security Response)
Modified: 2009-06-15 07:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-02 08:52:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Teo (Security Response) 2008-09-02 00:57:07 EDT
+++ This bug was initially created as a clone of Bug #460857 +++

Description of problem:
Eugene Teo discovered that range_is_allowed() check is only added in
{read,write}_mem(). It is possible for an illegitimate application to bypass
these checks, and access /dev/mem beyond the 1M limit by calling mmap_mem()
instead.

--- Additional comment from eteo@redhat.com on 2008-09-02 00:07:32 EDT ---

This appears to be fixed in upstream since commit e2beb3eae.
Comment 1 RHEL Product and Program Management 2008-09-02 04:23:50 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 2 Jiri Skrabal 2008-10-02 08:52:17 EDT
Closing this BZ. We do not have a business case for 4.5.z backport.

Note You need to log in before you can comment on or make changes to this bug.